Subject: [Lwip] Stephen Farrell's No Objection on draft-ietf-lwig-cellular-05: (with COMMENT)

From: "Stephen Farrell" <[email-masked]>
Date: Tue, 15 Sep 2015 07:38:48 -0700

Stephen Farrell has entered the following ballot position for
draft-ietf-lwig-cellular-05: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-lwig-cellular/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

- intro: is CoAP really "point-to-point"? not sure that is a
good term to use here. I get what you mean when I get to the
end of page 6 though, but I still don't like the term as used
here.

- figure 1 doesn't tell me much to be honest, I'd say delete it
maybe or add some more text saying what it's there for.

- p6, proxies are provided for http yes, but why would they be
needed for coap? coap devices are not rendering html so don't
have a need for loads of DNS names/pictures/ads. I think that's
in the end a misleading conparison to make and would be better
omitted. (BTW, I don't mean you're trying to mislead, but  that
that comparison is likely to mislead the reader into thinking
they may get more from coap proxies than is the case.)

- p7, at end of section 3, you could (if you wanted), make the
point that "higher" layer network protocols like a DTN protocol
such as the BP could help (if deployed widely) as then
applications wouldn't assume that what they send is (almost)
immediately received. More practically, applications can
re-invent DTN functionality and get some of those benefits.

- section 5, I think it'd be worth noting that there is a need
for (but no good solution for) discovery of devices that are
manufactured by small manufs (or open source) and deployed in
small numbers. That is not the same as when a large vendor is
involved but would be worth noting.

- section 9: large numbers of esp. small battery powered
devices scattered everywhere are a significant polution threat.
(When not gathered at end of life.) That arguably ought be
noted as a reason to spend more on e.g.  PoE devices sometimes
- the overall environmental or carbon cost can be lower in the
end with a device that uses more power per hour.